import React, { Component } from "react";
import Home from "./home";
import BasicContactDetails from "./basicContactDetails";
import FullMailingAddress from "./fullMailingAddress";
import skillTestQuestions from "./skill_test_questions";
import FamilyShare from "./family_share";
import set_relation from "./set_relation";
import family from "./familyaddchildren";
import parent from "./parent";
import Contest from "./Contest";
import SocialShare from "./SocialShare";
import {  BrowserRouter as Router, Route, Switch, Link } from "react-router-dom";
import AddRelation from "./Add_relation"; 
import Share from "./Share";
import Connect from "./connect";
import Perks from './perks';
import Freebie3 from './freebie3';
import Freebie2 from './freebie2';
import Freebie1 from './freebie1';
import familyShareOrientation from './family_share1';
import Drawer from "./drawer";
import contest4 from "./contest4";
import contest3 from "./contest3";
import contest2 from './contest2';
import contest1 from "./contest1";
import index from "./index";
import account_activated from './account_activated';
import Report from './report';
import ErrorPage from './error_page';
import LoginFailed from './login_failed';
import Phonesteptwo from './phonesteptwo';
import Phonestepone from './phonestepone';
import Phonestepthree from './phonestepthree';
import edit from "./edit";
import UserExist from './existing_user';
import UserBirthDate from "./user_birthdate";
import LoginLinkSend from "./login_link_send";
import someoneOrientationScreen from './someone_orientation_screen';
import relatedEntrantOrientation from'./related_entrant_orientation';
import newMemberOrientation from './new_member_orientation';
import newMemberOrientation1 from './new_member_orientation_contest';
import newMemberOrientation2 from './new_member_orientation_freebies';
import newMemberOrientation3 from './new_member_orientation_perks';
import newMemberOrientation4 from './new_member_orientation_start_account';
import pastMemberOrientation from './past_member_orientation';
import pastMemberOrientation1 from './past_member_para_four';
import product_orientation from './product_orientation';
import product_orientation1 from './product_orientation1';
import product_orientation2 from './product_orientation2';
import product_orientation3 from './product_orientation3';
import product_orientation4 from './product_orientation4';
import test from './test';
import remindUser from './remind_user';
import remindUser1 from './remind_user1';
import paymentCompleted from "./payment_completed";
import paymentFailed from "./payment_failed";
import menuPage from "./menu_page";
import paymentStripe from "./payment_stripe";
import won from './won';
import won1 from './won1';
import won2 from './won2';
import Unsubscribe from './unsubscribe';
import Info from './information';
import noContest from './no_contest';
import noFreebie from './no_freebie';
import informationAddress from './information_address';
import editAddress from './edit_address';
import billingAddress from './shipbilling_info';
import login from './login';
import contest_drawer from './contest_drawer'
import freebie_drawer from './freebie_drawer';
import similac from './artBoard';
import similac1 from './artBoard_order';
class Routermain extends Component {
    render() {
      return (
 <div>
   <Switch>
<Route exact path="/" component={Home} />
              <Route
                exact
                path="/signup_step-1"
                component={BasicContactDetails}
              />
              <Route
                exact
                path="/signup_step-2"
                component={FullMailingAddress}
              />
              <Route exact path="/share" component={Share}/>
              <Route exact path="/set_relation" component={set_relation} />
              <Route exact path="/parent" component={parent} /> 
              <Route exact path="/Connect/:user_id/:relative_user_id" component={Connect} />
              <Route
                exact
                path="/Contest/:contest_id/:user_id"
                component={Contest}
              />
              <Route exact path="/SocialShare" component={SocialShare} />
              <Route exact path="/no_contest" component={noContest} />
              <Route exact path="/no_freebie" component={noFreebie} />
              <Route exact path="/add_relation" component={AddRelation} />
              <Route exact path="/family" component={family} />
             
              <Route exact path="/edit_address" component={editAddress} />
              <Route
                exact
                path="/skill_test_questions"
                component={skillTestQuestions}
              />
              <Route exact path="/family_share" component={FamilyShare} />
              <Route exact path="/perks" component={Perks} />
              <Route exact path="/freebie3" component={Freebie3} />
              <Route exact path="/freebie2" component={Freebie2} />
              <Route exact path="/freebie1" component={Freebie1} />
              <Route exact path="/family_share_orientation" component={familyShareOrientation} />
              <Route exact path="/contest4" component={contest4} />
              <Route exact path="/contest3" component={contest3} />
              <Route exact path="/contest2" component={contest2} />
              <Route exact path="/contest1" component={contest1} />
              <Route exact path="/account_activated" component={account_activated} />
              <Route exact path="/index" component={index} />
              <Route exact path="/drawer" component={Drawer} />
              <Route exact path="/report" component={Report} />
              <Route exact path="/login_failed" component={LoginFailed} />
              <Route exact path="/phone_number_step-2" component={Phonesteptwo} /> 
              <Route exact path="/phone_number" component={Phonestepone} /> 
              <Route exact path="/phone_number_step-3" component={Phonestepthree} /> 
              <Route exact path="/edit" component={edit} /> 
              <Route exact path="/exist_user" component={UserExist} /> 
              <Route exact path="/user_birthdate" component={UserBirthDate} /> 
              <Route exact path="/login_link_send" component={LoginLinkSend} /> 
              <Route exact path="/someone_orientation_screen" component={someoneOrientationScreen}/>
              <Route exact path="/related_entrant_orientation" component={relatedEntrantOrientation}/>
              <Route exact path="/new_member_orientation" component={newMemberOrientation}/>
              <Route exact path="/new_member_orientation1" component={newMemberOrientation1}/>
              <Route exact path="/new_member_orientation2" component={newMemberOrientation2}/>
              <Route exact path="/new_member_orientation3" component={newMemberOrientation3}/>
              <Route exact path="/new_member_orientation4" component={newMemberOrientation4}/>
              <Route exact path="/past_member_orientation" component={pastMemberOrientation}/>
              <Route exact path="/past_member_orientation1" component={pastMemberOrientation1}/>
              <Route exact path="/product_orientation" component={product_orientation} />
              <Route exact path="/product_orientation1" component={product_orientation1} />
              <Route exact path="/product_orientation2" component={product_orientation2} />
              <Route exact path="/product_orientation3" component={product_orientation3} />
              <Route exact path="/product_orientation4" component={product_orientation4} />
              <Route exact path="/remind_user" component={remindUser} />
              <Route exact path="/remind_user1" component={remindUser1} />
              <Route exact path="/payment_successfull" component={paymentCompleted} />
              <Route exact path="/payment_failed" component={paymentFailed} />
              <Route exact path="/menu_page" component={menuPage} />
              <Route exact path="/payment_stripe" component={paymentStripe} />
              <Route exact path="/won" component={won} />
              <Route exact path="/won1" component={won1} />
              <Route exact path="/won2" component={won2} />
              <Route exact path="/unsubscribe" component={Unsubscribe} />
              <Route exact path="/info" component={Info} />
              <Route exact path="/test" component={test} />
              <Route exact path="/information" component={informationAddress} />
              <Route exact path="/billing_address" component={billingAddress} />
              <Route exact path="/login" component={login} />
              <Route exact path="/contest_drawer" component={contest_drawer} />
              <Route exact path="/freebie_drawer" component={freebie_drawer} />
              <Route exact path="/similac" component={similac} />
              <Route exact path="/similac1" component={similac1} />
              {/* <Route exact path="/payment" component={payment} /> */}
              <Route path="*" component={ErrorPage} /> 
              </Switch>
              </div>
      )}}
      export default Routermain;