import React from 'react'
import { render } from 'react-dom'
import { BrowserRouter } from 'react-router-dom'
import App from './components/App';
import MuiThemeProvider from "material-ui/styles/MuiThemeProvider";
import createBrowserHistory from 'history/createBrowserHistory'
import registerServiceWorker from './registerServiceWorker';
render((
<BrowserRouter basename="/app">
<MuiThemeProvider>
<App />
</MuiThemeProvider>
</BrowserRouter>
), document.getElementById('root'));

registerServiceWorker();
