import React from "react";
import api from "./api/api";
import axios from "axios";
import CircularProgress from "@material-ui/core/CircularProgress";
import Script from "react-load-script";
import Drawer from "./drawer";
import Dialog from "material-ui/Dialog";
import FlatButton from "material-ui/FlatButton";
import { isMobile } from "react-device-detect";
import { FormControl } from "react-bootstrap";
import cookie from 'react-cookies';
import SelectField from "material-ui/SelectField";
import MenuItem from "material-ui/MenuItem";
import country from "./country/countries";
let countries = [];
class won1 extends React.Component {
  constructor(props) {
    super(props);
    console.log("session", localStorage.getItem("current_state"));
    console.log("is_active", localStorage.getItem("login_is_active"));
    if (
      localStorage.getItem("current_state") !== "won1" )  {
        this.props.history.push("/menu_page");
      }
    let contest_id = localStorage.getItem("contest_id");
    console.log("contest_id", contest_id);
    let user_id = cookie.load("user_id");
    console.log("user_id", user_id);
    this.state = {
      isOpen: false,
      loader: false,
      user_id: user_id,
      addressLine1: "",
      addressLine2: "",
      check_country: "",
      country:"",
      streetAddress: "",
      city: "",
      state: "",
      zipcode: "",
      open: false,
      alertmsg: "",
      open: false,
      alertmsg: "",
      edit_address: false,
      addressLine2Enable: false,
      is_active: localStorage.getItem("login_is_active") == 1 ? true : false
    };
    this.handleUserData = this.handleUserData.bind(this);
    this.handleSend = this.handleSend.bind(this);
    this.handleSubmit = this.handleSubmit.bind(this);
  }
  componentDidMount() {
    let address = localStorage.getItem("address");
    console.log("address", JSON.parse(address));
    this.setState({
      addressLine1: JSON.parse(address).addressLine1,
      addressLine2: JSON.parse(address).addressLine2,
      city: JSON.parse(address).city,
      state: JSON.parse(address).state,
      zipcode: JSON.parse(address).zipcode
    });
    var country_arr = country;
    var script = document.createElement('script');
    script.src = "https://ws1.postescanada-canadapost.ca/js/addresscomplete-2.30.min.js?key=mm44-yz97-me83-uc98";
    script.addEventListener('load', function () {
      console.log("fsef")
      // resolve();
    });
    script.addEventListener('error', function (e) {
      // reject(e);
    });
    document.body.appendChild(script);
    countries = [];
    for (let i = 0; i < country_arr.length; i++) {
      countries.push(
        <MenuItem
          value={country_arr[i]}
          key={i + country_arr[i] + "country"}
          primaryText={country_arr[i]}
          style={{
            top: "auto",
            bottom: "100%"
          }}
        />
      );
    }
    console.log("temp_countries", countries);
    this.setState({ countries: countries });
  }

  changeCountry = (event, index, value) => {
    let country_code;
    console.log("value", value);
    this.setState({ country: value });
    if (value === "Canada") {
      country_code = "CA";
      this.setState({ check_country: country_code });
    }
    else{
      country_code = "value";
      this.setState({ check_country: country_code });
    }
  };

  handleClose = () => {
    this.setState({ open: false });
  };

  handleUserData = () => {
    console.log("here");
    if (this.state.streetAddress === "") {
      this.setState({ open: true, alertmsg: "Enter Street Address" });
    } else if (this.state.city === "") {
      this.setState({ open: true, alertmsg: "Enter City" });
    } else if (this.state.state === "") {
      this.setState({ open: true, alertmsg: "Enter Province" });
    } else if (this.state.postalCode === "") {
      this.setState({ open: true, alertmsg: "Enter Postal Code" });
    } else {
      this.setState({ loader: true });
      console.log("handleUserData");
      let self = this;
      let editJson = {
        action: "update",
        user_id: cookie.load("user_id"),

        user_metadata: {
          shipping_address: {
            addressLine1: this.state.addressLine1,
            city: this.state.city,
            addressLine2: this.state.addressLine2,
            state: this.state.state,
            zipcode: this.state.zipcode,
            country:this.state.country
          }
        }
      };
      console.log("editJson", editJson);
      axios
        .request({
          url: api.react_request,
          method: "POST",
          data: JSON.stringify(editJson)
        })
        .then(function(response) {
          // if (response) {
          self.setState({ loader: false });
          console.log("response", response);
          localStorage.setItem(
            "shipping_address",
            JSON.stringify(response.data.user_metadata.shipping_address)
          );
          self.setState({
            addressLine1:
              response.data.user_metadata.shipping_address.addressLine1,
            addressLine2:
              response.data.user_metadata.shipping_address.addressLine2,
            city: response.data.user_metadata.shipping_address.city,
            state: response.data.user_metadata.shipping_address.state,
            zipcode: response.data.user_metadata.shipping_address.zipcode,
            edit_address: false
          });
        })
        .catch(error => {
          console.log("error", error);
          self.setState({ loader: false });
          self.setState({
            open: true,
            alertmsg: "Something Wrong... Please try again"
          });
        });
    }
  };

  handleSend = () => {
    console.log("here");
    if (this.state.addressLine1 === "") {
      this.setState({ open: true, alertmsg: "Enter Street Address" });
    } else if (this.state.city === "") {
      this.setState({ open: true, alertmsg: "Enter City" });
    } else if (this.state.state === "") {
      this.setState({ open: true, alertmsg: "Enter Province" });
    } else if (this.state.postalCode === "") {
      this.setState({ open: true, alertmsg: "Enter Postal Code" });
    } else {
      this.setState({ loader: true });
      console.log("handleUserData");
      let self = this;

      let editJson = {
        action: "winner_prize_claim",
        user_id: cookie.load("user_id"),
        claim_for: cookie.load("claim_for"),
        update_info: {
          user_id: cookie.load("user_id"),
          user_metadata: {
            shipping_address: {
              addressLine1: this.state.addressLine1,
              city: this.state.city,
              addressLine2: this.state.addressLine2,
              state: this.state.state,
              zipcode: this.state.zipcode,
              country:this.state.country
            }
          }
        }
      };
      console.log("editJson", editJson);
      axios
        .request({
          url: api.react_request,
          method: "POST",
          data: JSON.stringify(editJson)
        })
        .then(function(response) {
          // if (response) {
          self.setState({ loader: false });
          console.log("response", response);
          if (response.data.claim_response.status === "success") {
            localStorage.setItem(
              "shipping_address",
              JSON.stringify(
                response.data.update_response.user_metadata.shipping_address
              )
            );
            self.setState({
              addressLine1:
                response.data.update_response.user_metadata.shipping_address
                  .addressLine1,
              addressLine2:
                response.data.update_response.user_metadata.shipping_address
                  .addressLine2,
              city:
                response.data.update_response.user_metadata.shipping_address
                  .city,
              state:
                response.data.update_response.user_metadata.shipping_address
                  .state,
              zipcode:
                response.data.update_response.user_metadata.shipping_address
                  .zipcode,
              edit_address: false
            });
            if (cookie.load("winner_contest_id") === "15") {
              cookie.remove("winner_contest_id", { path: "/" }),
              localStorage.setItem("current_state", "billing_address")
              self.props.history.push("/billing_address");
            } else {
              localStorage.setItem("current_state", "won2")
              self.props.history.push("/won2");
            }
          } else {
            self.setState({
              alertmsg: response.data.claim_response.message,
              open: true
            });
          }
        })
        .catch(error => {
          console.log("error", error);
          self.setState({ loader: false });
          self.setState({
            open: true,
            alertmsg: "Something Wrong... Please try again"
          });
        });
    }
  };

  handleSubmit = (line1, city2, province2, postalcode2) => {
    let finalJson = this.state.finalJson;
    // let action = this.props.resetState;
    let self = this;
    let redirect = this.props.history;
    if (this.state.edit_address === true) {
      console.log("here");
      if (
        line1.length == "" ||
        city2.length == "" ||
        province2.length == "" ||
        postalcode2.length == ""
      ) {
        console.log("here");
        this.setState({
          open: true,
          alertmsg: "Enter Address"
        });
      } else {
        console.log("here");

        finalJson = {
          action: "check_eligible_for_prize",
          user_id: cookie.load("user_id"),
          claim_for: cookie.load("claim_for"),
          
        };
        console.log("finalJson", finalJson);
        this.setState({ loader: true });
        axios
          .request({
            url: api.react_request,
            method: "POST",
            data: JSON.stringify(finalJson)
          })
          .then(function(response) {
            // if (response) {
            self.setState({ loader: false });
            console.log("response", response);
            if (response.data.claim_response.status === "success") {
              localStorage.setItem(
                "shipping_address",
                JSON.stringify(
                  response.data.update_response.user_metadata.shipping_address
                )
              );
              self.setState({
                addressLine1:
                  response.data.update_response.user_metadata.shipping_address
                    .addressLine1,
                addressLine2:
                  response.data.update_response.user_metadata.shipping_address
                    .addressLine2,
                city:
                  response.data.update_response.user_metadata.shipping_address
                    .city,
                state:
                  response.data.update_response.user_metadata.shipping_address
                    .state,
                zipcode:
                  response.data.update_response.user_metadata.shipping_address
                    .zipcode,
                edit_address: false
              });
              if (cookie.load("winner_contest_id") === "15") {
                cookie.remove("winner_contest_id", { path: "/" }),
                localStorage.setItem("current_state", "billing_address")
                self.props.history.push("/billing_address");
              } else {
                localStorage.setItem("current_state", "won2")
                self.props.history.push("/won2");
              }
            } else {
              self.setState({
                alertmsg: response.data.claim_response.message,
                open: true,
                edit_address:false
              });
            }
          })
          .catch(error => {
            console.log("error", error);
            self.setState({ loader: false });
            self.setState({
              open: true,
              alertmsg: "Something Wrong... Please try again",
              edit_address:false
            });
          });
      }
    } else {
      finalJson = {
        action: "check_eligible_for_prize",
        user_id: cookie.load("user_id"),
        claim_for: cookie.load("claim_for")
      };
      console.log("finalJson", finalJson);
      self.setState({ loader: true });
      axios
        .request({
          url: api.react_request,
          method: "POST",
          data: JSON.stringify(finalJson)
        })
        .then(function(response) {
          // if (response) {
          self.setState({ loader: false });
          console.log("response", response);
          if (response.data.claim_response.status === "success") {
            localStorage.setItem(
              "shipping_address",
              JSON.stringify(
                response.data.update_response.user_metadata.shipping_address
              )
            );
            self.setState({
              addressLine1:
                response.data.update_response.user_metadata.shipping_address
                  .addressLine1,
              addressLine2:
                response.data.update_response.user_metadata.shipping_address
                  .addressLine2,
              city:
                response.data.update_response.user_metadata.shipping_address
                  .city,
              state:
                response.data.update_response.user_metadata.shipping_address
                  .state,
              zipcode:
                response.data.update_response.user_metadata.shipping_address
                  .zipcode,
              edit_address: false
            });
            if (cookie.load("winner_contest_id") === "15") {
              cookie.remove("winner_contest_id", { path: "/" }),
              localStorage.setItem("billing", "billing_address")
              localStorage.setItem("current_state", "billing_address")
              self.props.history.push("/billing_address");
            } else {
              localStorage.setItem("current_state", "won2")
              self.props.history.push("/won2");
            }
          } else {
            self.setState({
              alertmsg: response.data.claim_response.message,
              open: true,
              edit_address:false
            });
          }
        })
        .catch(error => {
          console.log("error", error);
          self.setState({ loader: false });
          self.setState({
            open: true,
            alertmsg: "Something Wrong... Please try again",
            edit_address:false
          });
        });
    }
  };

  render() {
    // const { open } = this.state;
    // const image_url = api.image_path+"image-2-contest-budget-app.jpg"};
    return (
      <div className="won_first_div">
        <center className="userbirthdatecenter_tag">
          {this.state.is_active && <Drawer prop={this.props} />}
          {this.state.loader && (
            <center>
              <CircularProgress
                size={100}
                style={{ color: "black", marginTop: "17%" }}
              />
            </center>
          )}
          <Dialog
            style={{ textTransform: "capitalize" }}
            actions={
              <FlatButton
                label="OK"
                labelStyle={{ color: "#000" }}
                onClick={() => this.handleClose()}
              />
            }
            modal={false}
            open={this.state.open}
          >
            {this.state.alertmsg}
          </Dialog>
          {!this.state.loader && (
            <div className="won_white_container won1_header_div">
              <div className="won_transparent_div">
                <div className="won_imgtext_div">
                  <p>Congratulations !</p>
                  <p>You've</p>
                  <img src={api.image_path+"won.png"} className="won_imgtext" />
                </div>
              </div>
              <div className="won_inputtext_div">
                <div className="won_inputtext_div_second">
                  <p>Ship my prize to:</p>

                  {/* onClick={()=>{this.state.edit_address?this.handleUserData():this.setState({edit_address:true})}} */}
                  <button
                    onClick={() => {
                      this.state.edit_address
                        ? this.setState({ edit_address: false })
                        : this.setState({ edit_address: true });
                    }}
                    className="btn_SocialShare won_btneditadddress"
                  >
                    {this.state.edit_address ? "Cancel" : "+Edit Address"}
                  </button>
                </div>
                
                  <div
                    style={{
                      display: this.state.edit_address?
                          this.state.check_country === "CA" && this.state.country === "Canada"? "block" : "none":"none"
                      
                    }}
                  >
                    <div className="">
                      <FormControl
                        className="address_text add_uppercase"
                        name="line1"
                        id="line12"
                        type="text"
                        autoComplete="false"
                        value={this.state.streetAddress}
                        autoFocus={true}
                        inputRef={ref => {
                          this.line1 = ref;
                          if (typeof this.line1 !== "undefined" && this.line1) {
                            {
                              /* this.setState({focus:false}) */
                            }
                            {/* console.log("this", this.line1.value); */}
                          }
                        }}
                        style={{
                          fontWeight: 300,
                          display: this.state.edit_address ? "block" : "none"
                        }}
                        placeholder="Enter Your Address"
                        onChange={event => {
                          this.setState({
                            streetAddress: event.target.value,
                            open: false
                          });
                        }}
                      />
                    </div>

                    {this.state.addressLine2Enable && (
                      <div>
                        <FormControl
                          className="address_text add_uppercase"
                          type="text"
                          name="line2"
                          id="line22"
                          autoComplete="false"
                          value={this.state.addressLine2}
                          placeholder="address line 2"
                          autoFocus={this.state.addressLine2Enable}
                          inputRef={ref => {
                            this.line2 = ref;
                          }}
                          onKeyPress={event => {
                            if (event.key === "Enter") {
                              if (event.target.value) {
                                this.handleSubmit(
                                  this.line1.value,
                                  this.city2.value,
                                  this.province2.value,
                                  this.postalcode2.value
                                );
                              }
                            }
                          }}
                          onChange={event =>
                            this.setState({
                              addressLine2: event.target.value,
                              open: false
                            })
                          }
                        />
                      </div>
                    )}
                    {!this.state.addressLine2Enable &&
                      this.province2 &&
                      (this.line1 && this.line1.value != "") && (
                        <div style={{ marginTop: -5 }}>
                          <label
                            onClick={event => {
                              this.setState({
                                addressLine2Enable: true,
                                city: this.city2.value,
                                state: this.province2.value,
                                postalCode: this.postalcode2.value,
                                streetAddress: this.line1.value
                              });
                            }}
                            className="addline2"
                          >
                            +Add line 2
                          </label>
                        </div>
                      )}
                    <div style={{ marginTop: -10 }}>
                      <FormControl
                        className="address_text add_uppercase"
                        type="text"
                        //value={this.state.city}
                        autoFocus={false}
                        autoComplete="false"
                        name="city"
                        id="city2"
                        inputRef={ref => {
                          this.city2 = ref;
                        }}
                        //placeholder=""
                        onChange={event =>
                          this.setState({
                            city: event.target.value,
                            open: false
                          })
                        }
                      />
                    </div>
                    <div style={{ marginTop: -10 }}>
                      <FormControl
                        className="address_text add_uppercase "
                        type="text"
                        autoComplete="false"
                        //value={this.state.state}
                        name="province"
                        //placeholder="Province"
                        id="province2"
                        autoFocus={false}
                        maxLength={2}
                        inputRef={ref => {
                          this.province2 = ref;
                          {/* console.log("this.province", this.province2); */}
                          if (
                            this.province2 !== null &&
                            typeof this.province2.value !== undefined
                          ) {
                            {/* console.log(
                              "this.province2.value",
                              this.province2.value
                            ); */}
                          }
                        }}
                        onChange={event =>
                          this.setState({
                            state: event.target.value,
                            open: false
                          })
                        }
                      />
                    </div>
                    <div style={{ marginTop: -10 }}>
                      <FormControl
                        className="address_text add_uppercase "
                        type="text"
                        //value={this.state.postalCode}
                        //placeholder="Postal Code"
                        autoFocus={false}
                        autoComplete="false"
                        name="postalcode"
                        id="postalcode2"
                        inputRef={ref => {
                          this.postalcode2 = ref;
                        }}
                        onChange={event =>
                          this.setState({
                            postalCode: event.target.value,
                            backgroundcoler: "pink",
                            open: false
                          })
                        }
                      />
                    </div>
                  </div>

                <div
                  className="won_inputtext_div_third"
                  style={{
                    display: this.state.edit_address ? this.state.check_country=="CA"?"none" : "block":"block"
                  }}
                >
                  {!this.state.edit_address && (
                    <label className="won_address_label">
                      {this.state.addressLine1}
                    </label>
                  )}
                  {this.state.edit_address &&
                    this.state.check_country !== "CA" && (
                      <div>
                        <input
                          value={this.state.addressLine1}
                          onChange={event => {
                            this.setState({ addressLine1: event.target.value });
                          }}
                          className="won_address_label email_detail"
                          type="text"
                          autoFocus="true"
                          autoComplete="false"
                          onKeyPress={event => {
                            if (event.key === "Enter") {
                              if (event.target.value.length > 0) {
                                this.handleSend();
                              }
                            }
                          }}
                          style={{
                            fontSize: 20,
                            color: "#969696",
                            outline: "none"
                          }}
                          placeholder="Street Address"
                        />
                      </div>
                    )}
                  <br />
                  {this.state.addressLine2 &&
                    !this.state.edit_address && (
                      <div>
                        <label className="won_address_label">
                          {this.state.addressLine2}
                        </label>
                        <br />
                      </div>
                    )}
                  {this.state.edit_address &&
                    this.state.check_country !== "CA" && (
                      <div>
                        <input
                          value={this.state.addressLine2}
                          onChange={event => {
                            this.setState({ addressLine2: event.target.value });
                          }}
                          className="won_address_label email_detail"
                          type="text"
                          autoFocus="true"
                          autoComplete="false"
                          onKeyPress={event => {
                            if (event.key === "Enter") {
                              if (event.target.value.length > 0) {
                                this.handleSend();
                              }
                            }
                          }}
                          style={{
                            fontSize: 20,
                            color: "#969696",
                            outline: "none"
                          }}
                          placeholder="Address Line 2"
                        />
                        <br />
                      </div>
                    )}

                  {!this.state.edit_address && (
                    <label className="won_address_label">
                      {this.state.city}
                      {","}
                      {this.state.state}
                    </label>
                  )}
                  {this.state.edit_address &&
                    this.state.check_country !== "CA" && (
                      <input
                        value={this.state.city}
                        onChange={event => {
                          this.setState({ city: event.target.value });
                        }}
                        className="won_address_label email_detail"
                        type="text"
                        autoFocus="true"
                        autoComplete="false"
                        onKeyPress={event => {
                          if (event.key === "Enter") {
                            if (event.target.value.length > 0) {
                              this.handleSend();
                            }
                          }
                        }}
                        style={{
                          fontSize: 20,
                          color: "#969696",
                          outline: "none"
                        }}
                        placeholder="City"
                      />
                    )}
                  {this.state.edit_address &&
                    this.state.check_country !== "CA" && (
                      <input
                        value={this.state.state}
                        onChange={event => {
                          this.setState({ state: event.target.value });
                        }}
                        className="won_address_label email_detail"
                        type="text"
                        autoFocus="true"
                        autoComplete="false"
                        onKeyPress={event => {
                          if (event.key === "Enter") {
                            if (event.target.value.length > 0) {
                              this.handleSend();
                            }
                          }
                        }}
                        style={{
                          fontSize: 20,
                          color: "#969696",
                          outline: "none"
                        }}
                        placeholder="State"
                      />
                    )}
                  <br />
                  {!this.state.edit_address && (
                    <label className="won_address_label">
                      {this.state.zipcode}
                    </label>
                  )}
                  {this.state.edit_address &&
                    this.state.check_country !== "CA" && (
                      <input
                        value={this.state.zipcode}
                        onChange={event => {
                          this.setState({ zipcode: event.target.value });
                        }}
                        className="won_address_label email_detail"
                        type="text"
                        autoFocus="true"
                        autoComplete="false"
                        onKeyPress={event => {
                          if (event.key === "Enter") {
                            if (event.target.value.length > 0) {
                              this.handleSend();
                            }
                          }
                        }}
                        style={{
                          fontSize: 20,
                          color: "#969696",
                          outline: "none"
                        }}
                        placeholder="Postal Code"
                      />
                    )}
                </div>
                {!this.state.loader && this.state.edit_address &&(
                  <SelectField
                  hintText="Select Country"
                  // value={value}
                  className="address_text add_uppercase"
                  onChange={this.changeCountry.bind(this)}
                  style={styles.ddm}
                  value={this.state.country}
                  className="userBirthdate_ddm select_countery_ddl select_countery_wonddl"
                >
                  {countries}
                </SelectField>
                  )}
              </div>
              <div className="user_birthdate won_div won_div1">
                <button
                  onClick={event => {
                    this.state.check_country === "CA"
                      ? this.handleSubmit(
                          this.line1.value,
                          this.city2.value,
                          this.province2.value,
                          this.postalcode2.value
                        )
                      : this.handleSend();
                  }}
                  className="btn_SocialShare won_btnsend"
                >
                  Send it!
                </button>
                <p className="won_notepara">
                  Please note: if after seven(7) days, the prize remains
                  unclaimed, family.one reserves the right to either select a
                  new winner or cancel the prize.
                </p>
                <a
                  onClick={() => {
                    localStorage.setItem("current_state", "menu_page")
                    this.props.history.push("/menu_page");
                  }}
                  className="won_anchortag"
                >
                  Skip for now
                </a>
              </div>
            </div>
          )}
        </center>
      </div>
    );
  }
}
const styles = {
  labelStyle: {
    color: "rgba(224, 214, 214, 0.87)",
    fontSize: 14
  },
  
};

export default won1;
